package com.platform.modules.live.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 现场-评论数 模型
 * 
 * @author Anine
 * @date 2019/3/15
 */
@ApiModel("现场-评论数 模型")
public class SceneCommentCountVo {

	// 现场ID
	@ApiModelProperty(value = "id")
	private Integer id;

	// 现场标题
	@ApiModelProperty(value = "现场标题")
	private String title;

	// 现场标题图
	@ApiModelProperty(value = "现场标题图")
	private String titleImage;

	// 开播时间
	@ApiModelProperty(value = "开播时间")
	private String liveStart;

	// 现场状态
	@ApiModelProperty(value = "现场状态，0草稿，1待审，2成品")
	private Integer sceneState;

	// 创建时间
	@ApiModelProperty(value = "创建时间")
	private String createDate;

	// 现场创建人
	@ApiModelProperty(value = "现场创建人")
	private String creatorName;

	// 现场类型
	@ApiModelProperty(value = "现场类型：1:视频现场,2:音频现场,3:图片现场,4:文字现场,5:混合现场,6:精品现场")
	private Integer sceneType;

	// 内容
	@ApiModelProperty(value = "评论数量")
	private Integer count;
	
	@ApiModelProperty(value = "现场标题图显示")
	private String titleImageShow;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getTitleImage() {
		return titleImage;
	}

	public void setTitleImage(String titleImage) {
		this.titleImage = titleImage;
	}

	public String getLiveStart() {
		return liveStart;
	}

	public void setLiveStart(String liveStart) {
		this.liveStart = liveStart;
	}

	public Integer getSceneState() {
		return sceneState;
	}

	public void setSceneState(Integer sceneState) {
		this.sceneState = sceneState;
	}

	public String getCreateDate() {
		return createDate;
	}

	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}

	public String getCreatorName() {
		return creatorName;
	}

	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}

	public Integer getSceneType() {
		return sceneType;
	}

	public void setSceneType(Integer sceneType) {
		this.sceneType = sceneType;
	}

	public Integer getCount() {
		return count;
	}

	public void setCount(Integer count) {
		this.count = count;
	}

	public String getTitleImageShow() {
		return titleImageShow;
	}

	public void setTitleImageShow(String titleImageShow) {
		this.titleImageShow = titleImageShow;
	}
	
}
